Bug 168054 - linux consoles flicker after udev starts (not X)
linux consoles flicker after udev starts (not X)
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2005-09-11 16:16 EDT by G.Wolfe Woodbury
Modified: 2015-01-04 17:22 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-09-14 01:16:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description G.Wolfe Woodbury 2005-09-11 16:16:07 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050909 Fedora/1.0.6-1.2.fc4 Firefox/1.0.6

Description of problem:
the linux console flickers badly after udev starts ona Celeron with a Trident Cyberblade SVGA card.  Prior to the "storage network audio done" message, the console is fine; afterwards, the console flickers off and on and the display of further messages are overlapping.

Once X startx, the console 7 display is fine, but switching back to 1 reveals a flickering display.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. rawhide install as of 2005-09-10
2. trident cyberblade video card
3. reboot

Actual Results:  initial console display of boot messages is ok until the udev startup message that includes "storage network audio done" line appears, then the console flickers on and off.

Expected Results:  console display should remain steady and display rest of the booting messages normally.

Additional info:

System is a Celeron (coppermine) stepping 6 @ 600MHz
video card is Trident Cyberblade (generic)
realtek eth0 (works fine)
one IDE drive (5GiB) on ide0
NFS mount of /home and /srv (working fine - problem appears before mounts)
ATAPI Zip drive in system (not mounted)  Two CD/DVD ROM drives on ide1
Comment 1 G.Wolfe Woodbury 2005-09-12 02:07:10 EDT
The problem is in hte tridentfb module.  Adding tridentfb to
/etc/hotplug/blacklist prevents the module from being loaded by rc.sysinit and
the flicker/blinking goes away and everything is fine from then on.

I note that rc.sysinit references /etc/hotplug/blacklist and there is also an
/etc/modprobe.d/blacklist that purports to handle the same sort of errors. 
Which rules?

Also, how would I go about adding module parameters for the tridentfb module in
/etc/sysconfig/modules/* ?  It may be that fiddling with the parameters can help
the problem.  Even so, the tridentfb driver is positively ancient (2002?)

Thanks to whomever for the note on fedora-devel mailing list about the
framebuffers module loading.  It pointed the way.
Comment 2 Bill Nottingham 2005-09-12 23:53:56 EDT
Note that with initscripts-8.14-1, it will no longer be loaded on boot (which is
the correct behavior.)
Comment 3 Dave Jones 2005-09-14 01:16:48 EDT
I'm going to close this as RAWHIDE, as I'm not going to actively debug this
further (largely due to lack of hardware, but also due to being overwhelmed with
more urgent bugs). If you feel inclined to help get the tridentfb driver in
shape, please bring it up in the upstream bugzilla at http://bugme.osdl.org


Note You need to log in before you can comment on or make changes to this bug.